package com.yanzuoguang.dao;

/**
 * created by yanzu on 2017/5/30.
 */
public class DaoConst {
    /**
     * 创建操作
     */
    public static final int OPERATOR_TYPE_CREATE = 0;
    /**
     * 更新操作
     */
    public static final int OPERATOR_TYPE_UPDATE = 1;
    /**
     * 删除操作
     */
    public static final int OPERATOR_TYPE_REMOVE = 2;
    /**
     * 加载操作
     */
    public static final int OPERATOR_TYPE_LOAD = 3;
    /**
     * 创建
     */
    public static final String CREATE = "create";
    /**
     * 修改
     */
    public static final String UPDATE = "update";
    /**
     * 删除
     */
    public static final String REMOVE = "remove";
    /**
     * 加载
     */
    public static final String LOAD = "load";
    /**
     * 查询
     */
    public static final String QUERY = "query";

    /**
     * GROUP增加数据的SQL语句
     */
    public static final String GROUP_ADD = "GroupAdd";

    /**
     * GROUP查询数据的SQL语句
     */
    public static final String GROUP_QUERY = "GroupQuery";

    /**
     * 驼峰式命名
     */
    public static final int ROW_NAME_TYPE_CAMEL_CASE = 0;
    /**
     * 原字段
     */
    public static final int ROW_NAME_TYPE_NO_CHANGE = 1;
}
